VERSION 5.00
Begin VB.Form frmMain 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Folder Cleaner"
   ClientHeight    =   4260
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   10080
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4260
   ScaleWidth      =   10080
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton cmdRunAll 
      Caption         =   "Run All"
      Height          =   375
      Left            =   8160
      TabIndex        =   15
      Top             =   3000
      Width           =   1815
   End
   Begin VB.CommandButton cmdExit 
      Caption         =   "E&xit"
      Height          =   375
      Left            =   8160
      TabIndex        =   14
      Top             =   3720
      Width           =   1815
   End
   Begin VB.CommandButton cmdClrWebCache 
      Caption         =   "Clear Web Cache"
      Height          =   375
      Left            =   1800
      TabIndex        =   13
      Top             =   3000
      Width           =   1575
   End
   Begin VB.CommandButton cmdDelete 
      Caption         =   "Delete Job"
      Height          =   375
      Left            =   3960
      TabIndex        =   11
      Top             =   2350
      Width           =   1200
   End
   Begin VB.CommandButton cmdRun 
      Caption         =   "Run Job"
      Height          =   375
      Left            =   5160
      TabIndex        =   7
      Top             =   2350
      Width           =   1200
   End
   Begin VB.CommandButton cmdNew 
      Caption         =   "New"
      Height          =   375
      Left            =   2760
      TabIndex        =   1
      Top             =   2350
      Width           =   1200
   End
   Begin VB.CommandButton cmdMTRecycleBin 
      Caption         =   "Empty Recycle Bin"
      Height          =   375
      Left            =   120
      TabIndex        =   12
      Top             =   3000
      Width           =   1575
   End
   Begin VB.TextBox txtReport 
      Height          =   1530
      Left            =   6480
      Locked          =   -1  'True
      MultiLine       =   -1  'True
      TabIndex        =   10
      Top             =   1200
      Width           =   3495
   End
   Begin VB.TextBox txtFilter 
      Height          =   285
      Left            =   3600
      TabIndex        =   6
      Top             =   120
      Width           =   6375
   End
   Begin VB.TextBox txtName 
      Height          =   285
      Left            =   3600
      TabIndex        =   5
      Top             =   480
      Width           =   6375
   End
   Begin VB.TextBox txtDirectory 
      Height          =   285
      Left            =   3600
      TabIndex        =   4
      Top             =   840
      Width           =   6375
   End
   Begin VB.CheckBox chkDelSubDirFiles 
      Caption         =   "Delete Sub Directory Files"
      Height          =   375
      Left            =   2760
      TabIndex        =   3
      Top             =   1560
      Width           =   4335
   End
   Begin VB.CheckBox chkDelSubDirs 
      Caption         =   "Delete Sub Directories"
      Height          =   375
      Left            =   2760
      TabIndex        =   2
      Top             =   1200
      Width           =   4335
   End
   Begin VB.ListBox lstJobs 
      Height          =   2595
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   2535
   End
   Begin VB.CheckBox chkShowErrors 
      Caption         =   "Report Errors"
      Height          =   375
      Left            =   2760
      TabIndex        =   16
      Top             =   1920
      Width           =   4335
   End
   Begin VB.Label Label3 
      Alignment       =   1  'Right Justify
      Caption         =   "Directory"
      Height          =   255
      Left            =   2760
      TabIndex        =   19
      Top             =   840
      Width           =   735
   End
   Begin VB.Label Label2 
      Alignment       =   1  'Right Justify
      Caption         =   "Name"
      Height          =   255
      Left            =   2760
      TabIndex        =   18
      Top             =   480
      Width           =   735
   End
   Begin VB.Label Label1 
      Alignment       =   1  'Right Justify
      Caption         =   "Filter"
      Height          =   255
      Left            =   2760
      TabIndex        =   17
      Top             =   120
      Width           =   735
   End
   Begin VB.Line Line4 
      BorderColor     =   &H80000010&
      X1              =   120
      X2              =   9960
      Y1              =   3480
      Y2              =   3480
   End
   Begin VB.Line Line3 
      BorderColor     =   &H80000014&
      BorderWidth     =   2
      X1              =   120
      X2              =   9960
      Y1              =   3495
      Y2              =   3495
   End
   Begin VB.Line Line2 
      BorderColor     =   &H80000010&
      X1              =   120
      X2              =   9960
      Y1              =   2880
      Y2              =   2880
   End
   Begin VB.Line Line1 
      BorderColor     =   &H80000014&
      BorderWidth     =   2
      X1              =   120
      X2              =   9960
      Y1              =   2895
      Y2              =   2895
   End
   Begin VB.Label lblAction 
      Height          =   255
      Left            =   120
      TabIndex        =   9
      Top             =   3600
      Width           =   9855
   End
   Begin VB.Label lblDir 
      Height          =   255
      Left            =   120
      TabIndex        =   8
      Top             =   3840
      Width           =   9975
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub chkDelSubDirs_Click()
  chkDelSubDirFiles.Enabled = Not CBool(chkDelSubDirs.Value)
  chkDelSubDirFiles.Value = chkDelSubDirs.Value
End Sub
Private Sub cmdClrWebCache_Click()
  lblAction.Caption = "Clearing web cache"
  DoEvents
  ClearWebCache
  lblAction.Caption = "Clearing typed URLs"
  DoEvents
  ClearURLs
  lblAction.Caption = "Processing Idle"
  DoEvents
  MessageBox Me.hwnd, App.ProductName & " has completed clearing web cache.", App.ProductName, MB_ICONINFORMATION
End Sub
Private Sub cmdDelete_Click()
  iCurrentRecNum = -1
  If lstJobs.ListIndex > -1 Then
    If MessageBox(Me.hwnd, "Delete job '" & lstJobs.List(lstJobs.ListIndex) _
      & "', record number " & CStr(lstJobs.ListIndex + 1), _
      "Delete job", MB_YESNO Or MB_ICONQUESTION) = IDYES Then
        ClearFields
        DeleteRecord lstJobs.ListIndex + 1
    End If
  End If
End Sub
Private Sub cmdExit_Click()
  End
End Sub
Private Sub cmdMTRecycleBin_Click()
  lblAction.Caption = "Emptying Recycle Bin"
  DoEvents
  SHEmptyRecycleBin Me.hwnd, vbNullString, 0
  lblAction.Caption = "Updating Recycle Bin icon"
  DoEvents
  SHUpdateRecycleBinIcon
  lblAction.Caption = "Processing Idle"
  DoEvents
  MessageBox Me.hwnd, "'Empty Recycle Bin' procedure has completed.", App.ProductName, MB_ICONINFORMATION
End Sub
Private Sub cmdNew_Click()
Dim sDirectory As String
Dim sFilter As String
Dim sJobName As String
Dim dhJob As JobData
Dim lNewRecordNumber As Long
  sDirectory = GetDirectoryPath(Me.hwnd, "Required:" & vbNewLine & "Choose directory to be cleaned:")
  If lstrlen(sDirectory) < 1 Then Exit Sub
  sJobName = InputBox("Required:" & vbNewLine & "Enter a name for cleaning job:", "Enter Name", FileName(sDirectory))
  If lstrlen(sJobName) < 1 Then Exit Sub
  sFilter = InputBox("Optional:" & vbNewLine & "Enter a filter if you would like to delete only files matching a specific criteria:", "Enter Filter", "*.*")
  dhJob.Directory = sDirectory
  dhJob.Filter = sFilter
  dhJob.JobName = sJobName
  lNewRecordNumber = AddNewRecord(dhJob)
  LoadJobs lstJobs
  lstJobs.Selected(lNewRecordNumber - 1) = True
End Sub
Private Sub cmdRun_Click()
  Dim i As Long
  SaveCurrentRecord
  lChkDirCount = 0
  lDelDirCount = 0
  lChkFileCount = 0
  lDelFileCount = 0
  For i = 0 To lstJobs.ListCount - 1
    If lstJobs.Selected(i) Then
      RunJob i + 1
    End If
  Next
  lblAction.Caption = "Processing Idle"
  lblDir.Caption = ""
End Sub
Private Sub cmdRunAll_Click()
  Dim i As Long
  SaveCurrentRecord
  lChkDirCount = 0
  lDelDirCount = 0
  lChkFileCount = 0
  lDelFileCount = 0
  For i = 0 To lstJobs.ListCount - 1
    RunJob i + 1
  Next
  cmdMTRecycleBin_Click
  cmdClrWebCache_Click
  frmMain.lblAction.Caption = "Processing Idle"
End Sub

Private Sub Form_Load()
  LoadJobs lstJobs
End Sub
Private Sub lstJobs_Click()
  If iCurrentRecNum > -1 Then
    SaveCurrentRecord
  End If
  iCurrentRecNum = lstJobs.ListIndex + 1
  ShowRecord iCurrentRecNum
End Sub
Private Sub ShowRecord(lRecNumber As Long)
On Error GoTo ErrorHandler
  Dim dhJob As JobData
  If GetRecord(lRecNumber, dhJob) Then
    txtDirectory.Text = CleanString(dhJob.Directory)
    txtFilter.Text = CleanString(dhJob.Filter)
    txtName.Text = CleanString(dhJob.JobName)
    chkDelSubDirs.Value = Abs(CInt(dhJob.DeleteSubDirectories))
    chkDelSubDirFiles.Value = Abs(CInt(dhJob.DeleteSubDirFiles))
    txtReport.Text = CleanString(dhJob.LastRunData)
    chkShowErrors.Value = Abs(CInt(dhJob.ReportErrors))
  Else
    MessageBox Me.hwnd, "Error retrieving record data for record " & CStr(lRecNumber) & ".", App.ProductName, MB_ICONHAND
    Exit Sub
  End If
  Exit Sub
ErrorHandler:
  If MessageBox(Me.hwnd, "Error " & CStr(Err.Number) & vbNewLine _
    & Err.Description & vbNewLine & "Error in procedure frmMain.ShowRecord." _
    & " Do you wish to continue processing this procedure?" & vbNewLine _
    & "Yes = Resume Next" & vbNewLine & "No = Exit Sub", "Error - " & App.ProductName, _
    MB_ICONHAND Or MB_YESNO) = IDYES Then
    Resume Next
  Else
    Exit Sub
  End If
End Sub
Private Sub SaveCurrentRecord()
On Error GoTo ErrorHandler
  Dim dhJob As JobData
  If iCurrentRecNum < 1 Then Exit Sub
  dhJob.DeleteSubDirectories = CBool(chkDelSubDirs.Value)
  dhJob.DeleteSubDirFiles = CBool(chkDelSubDirFiles.Value)
  dhJob.Directory = txtDirectory.Text
  dhJob.JobName = txtName.Text
  dhJob.Filter = txtFilter.Text
  dhJob.LastRunData = txtReport.Text
  dhJob.ReportErrors = CBool(chkShowErrors.Value)
  SaveRecord iCurrentRecNum, dhJob
  Exit Sub
ErrorHandler:
  MessageBox 0, "Error in frmMain.SaveCurrentRecord" & vbNewLine & "Error number " & CStr(Err.Number) _
    & vbNewLine & Err.Description & vbNewLine & "Resolution: Resume Next.", App.ProductName, MB_ICONHAND
  Resume Next
End Sub
Private Sub RunJob(lRecNum As Long)
  Dim dhJob As JobData
  Dim sDirectory As String
  If GetRecord(lRecNum, dhJob) Then
    DelAllFiles CleanString(dhJob.Directory), CleanString(dhJob.Filter), dhJob.DeleteSubDirFiles, dhJob.DeleteSubDirectories, dhJob.ReportErrors, lblDir, lblAction, txtReport
  Else
    MessageBox Me.hwnd, "Unable to retrieve job data. Record number: " & CStr(lRecNum), App.ProductName, MB_ICONHAND
  End If
End Sub
Private Sub txtName_Change()
  lstJobs.List(lstJobs.ListIndex) = txtName.Text
End Sub
Private Sub ClearFields()
  txtDirectory.Text = ""
  txtFilter.Text = ""
  txtName.Text = ""
  txtReport.Text = ""
  chkDelSubDirFiles.Value = vbUnchecked
  chkDelSubDirs.Value = vbUnchecked
  txtReport.Text = ""
End Sub
