Attribute VB_Name = "modAPI"
Option Explicit
Private Declare Function GetVersionEx Lib "kernel32" Alias "GetVersionExA" (ByRef lpVersionInformation As OSVERSIONINFO) As Long
Private Declare Function GetFileNameFromBrowseW Lib "shell32" Alias "#63" (ByVal hwndOwner As Long, ByVal lpstrFile As Long, ByVal nMaxFile As Long, ByVal lpstrInitialDir As Long, ByVal lpstrDefExt As Long, ByVal lpstrFilter As Long, ByVal lpstrTitle As Long) As Long
Private Declare Function GetFileNameFromBrowseA Lib "shell32" Alias "#63" (ByVal hwndOwner As Long, ByVal lpstrFile As String, ByVal nMaxFile As Long, ByVal lpstrInitialDir As String, ByVal lpstrDefExt As String, ByVal lpstrFilter As String, ByVal lpstrTitle As String) As Long
Public Declare Function MessageBox Lib "user32" Alias "MessageBoxA" (ByVal hwnd As Long, ByVal lpText As String, ByVal lpCaption As String, ByVal wType As Long) As Long
Public Declare Function CopyFile Lib "kernel32" Alias "CopyFileA" (ByVal lpExistingFileName As String, ByVal lpNewFileName As String, ByVal bFailIfExists As Long) As Long
Public Declare Function DeleteFile Lib "kernel32" Alias "DeleteFileA" (ByVal lpFileName As String) As Long
Public Declare Function GetComputerName Lib "kernel32" Alias "GetComputerNameA" (ByVal lpBuffer As String, nSize As Long) As Long
Public Declare Function GetUserName Lib "advapi32.dll" Alias "GetUserNameA" (ByVal lpBuffer As String, nSize As Long) As Long
Public Declare Function GetTickCount Lib "kernel32" () As Long
Public Declare Function FindFirstFile Lib "kernel32" Alias "FindFirstFileA" (ByVal lpFileName As String, lpFindFileData As WIN32_FIND_DATA) As Long
Public Declare Function FindNextFile Lib "kernel32" Alias "FindNextFileA" (ByVal hFindFile As Long, lpFindFileData As WIN32_FIND_DATA) As Long
Public Declare Function FindClose Lib "kernel32" (ByVal hFindFile As Long) As Long
Public Declare Function lstrlen Lib "kernel32" Alias "lstrlenA" (ByVal lpString As String) As Long
Public Declare Function GetWindowsDirectory Lib "kernel32" Alias "GetWindowsDirectoryA" (ByVal lpBuffer As String, ByVal nSize As Long) As Long
Public Declare Function MakeSureDirectoryPathExists Lib "IMAGEHLP.DLL" (ByVal DirPath As String) As Long
Public Declare Function GetSaveFileName Lib "comdlg32.dll" Alias "GetSaveFileNameA" (pOpenfilename As OPENFILENAME) As Long
Public Declare Function GetOpenFileName Lib "comdlg32.dll" Alias "GetOpenFileNameA" (pOpenfilename As OPENFILENAME) As Long
Public Declare Function FileTimeToSystemTime Lib "kernel32" (lpFileTime As FILETIME, lpSystemTime As SYSTEMTIME) As Long
Public Declare Function ShellExecute Lib "shell32.dll" Alias "ShellExecuteA" (ByVal hwnd As Long, ByVal lpOperation As String, ByVal lpFile As String, ByVal lpParameters As String, ByVal lpDirectory As String, ByVal nShowCmd As Long) As Long
Public Declare Function SetForegroundWindow Lib "user32" (ByVal hwnd As Long) As Long
Public Declare Function Shell_NotifyIcon Lib "shell32" Alias "Shell_NotifyIconA" (ByVal dwMessage As Long, pnid As NOTIFYICONDATA) As Boolean
Public Declare Function SHBrowseForFolder Lib "shell32" (lpbi As BROWSEINFO) As Long
Public Declare Function SHGetPathFromIDList Lib "shell32" (ByVal pidList As Long, ByVal lpBuffer As String) As Long
Public Declare Function SHGetSpecialFolderLocation Lib "shell32.dll" (ByVal hwndOwner As Long, ByVal nFolder As Long, ppidl As Long) As Long
Public Declare Function lstrcat Lib "kernel32" Alias "lstrcatA" (ByVal lpString1 As String, ByVal lpString2 As String) As Long
Public Declare Sub CoTaskMemFree Lib "ole32.dll" (ByVal pv As Long)
Public Declare Function ExtractAssociatedIcon Lib "shell32.dll" Alias "ExtractAssociatedIconA" (ByVal hInst As Long, ByVal lpIconPath As String, lpiIcon As Long) As Long
Public Declare Function DrawIconEx Lib "user32" (ByVal hdc As Long, ByVal xLeft As Long, ByVal yTop As Long, ByVal hIcon As Long, ByVal cxWidth As Long, ByVal cyWidth As Long, ByVal istepIfAniCur As Long, ByVal hbrFlickerFreeDraw As Long, ByVal diFlags As Long) As Long
Public Declare Function DestroyIcon Lib "user32" (ByVal hIcon As Long) As Long
Public Declare Function SetSysColors Lib "user32" (ByVal nChanges As Long, lpSysColor As Long, lpColorValues As Long) As Long
Public Declare Function FlashWindowEx Lib "user32" (pfwi As FLASHWINFO) As Boolean
Public Declare Function GetCursorPos Lib "user32" (lpPoint As POINTAPI) As Long
Public Declare Function SetCursorPos Lib "user32" (ByVal X As Long, ByVal Y As Long) As Long
Public Declare Function GetWindowRect Lib "user32" (ByVal hwnd As Long, lpRect As RECT) As Long
Public Declare Function CreateTimerQueue Lib "kernel32.dll" () As Long
Public Declare Function CreateTimerQueueTimer Lib "kernel32.dll" (ByRef phNewTimer As Long, ByVal TimerQueue As Long, ByVal Callback As Long, ByVal Parameter As Long, ByVal DueTime As Long, ByVal Period As Long, ByVal Flags As Long) As Long
Public Declare Function DeleteTimerQueue Lib "kernel32.dll" (ByVal TimerQueue As Long) As Long
Public Declare Function DeleteTimerQueueTimer Lib "kernel32.dll" (ByVal TimerQueue As Long, ByVal Timer As Long, ByVal CompletionEvent As Long) As Long

Public Type RECT
    Left As Long
    Top As Long
    Right As Long
    Bottom As Long
End Type
Public Type POINTAPI
    X As Long
    Y As Long
End Type
Public Const FLASHW_STOP = 0 'Stop flashing. The system restores the window to its original state.
Public Const FLASHW_CAPTION = &H1 'Flash the window caption.
Public Const FLASHW_TRAY = &H2 'Flash the taskbar button.
Public Const FLASHW_ALL = (FLASHW_CAPTION Or FLASHW_TRAY) 'Flash both the window caption and taskbar button. This is equivalent to setting the FLASHW_CAPTION Or FLASHW_TRAY flags.
Public Const FLASHW_TIMER = &H4 'Flash continuously, until the FLASHW_STOP flag is set.
Public Const FLASHW_TIMERNOFG = &HC 'Flash continuously until the window comes to the foreground.
Public Type FLASHWINFO
  cbSize As Long
  hwnd As Long
  dwFlags As Long
  uCount As Long
  dwTimeout As Long
End Type

Public Const COLOR_SCROLLBAR = 0 'The Scrollbar colour
Public Const COLOR_BACKGROUND = 1 'Colour of the background with no wallpaper
Public Const COLOR_ACTIVECAPTION = 2 'Caption of Active Window
Public Const COLOR_INACTIVECAPTION = 3 'Caption of Inactive window
Public Const COLOR_MENU = 4 'Menu
Public Const COLOR_WINDOW = 5 'Windows background
Public Const COLOR_WINDOWFRAME = 6 'Window frame
Public Const COLOR_MENUTEXT = 7 'Window Text
Public Const COLOR_WINDOWTEXT = 8 '3D dark shadow (Win95)
Public Const COLOR_CAPTIONTEXT = 9 'Text in window caption
Public Const COLOR_ACTIVEBORDER = 10 'Border of active window
Public Const COLOR_INACTIVEBORDER = 11 'Border of inactive window
Public Const COLOR_APPWORKSPACE = 12 'Background of MDI desktop
Public Const COLOR_HIGHLIGHT = 13 'Selected item background
Public Const COLOR_HIGHLIGHTTEXT = 14 'Selected menu item
Public Const COLOR_BTNFACE = 15 'Button
Public Const COLOR_BTNSHADOW = 16 '3D shading of button
Public Const COLOR_GRAYTEXT = 17 'Grey text, of zero if dithering is used.
Public Const COLOR_BTNTEXT = 18 'Button text
Public Const COLOR_INACTIVECAPTIONTEXT = 19 'Text of inactive window
Public Const COLOR_BTNHIGHLIGHT = 20 '3D highlight of button
Public Const COLOR_2NDACTIVECAPTION = 27 'Win98 only: 2nd active window color
Public Const COLOR_2NDINACTIVECAPTION = 28 'Win98 only: 2nd inactive window color
  
Public Const DI_MASK = &H1
Public Const DI_IMAGE = &H2
Public Const DI_NORMAL = DI_MASK Or DI_IMAGE
'......browse information flags
Public Const BIF_BROWSEFORCOMPUTER = &H1000
Public Const BIF_BROWSEFORPRINTER = &H2000
Public Const BIF_BROWSEINCLUDEFILES = &H4000
Public Const BIF_DONTGOBELOWDOMAIN = &H2
Public Const BIF_EDITBOX = &H10
Public Const BIF_RETURNFSANCESTORS = &H8
Public Const BIF_RETURNONLYFSDIRS = &H1
Public Const BIF_STATUSTEXT = &H4
Public Const BIF_USENEWUI = &H40                'Windows 2000
Public Const BIF_VALIDATE = &H20                'Windows 2000

'......special folder flags
Public Const CSIDL_ALTSTARTUP = &H1D            'non-localized Startup folder.
Public Const CSIDL_APPDATA = &H1A               'Application Data folder (used to store common program data).
Public Const CSIDL_BITBUCKET = &HA              'Recycle Bin on the desktop.
Public Const CSIDL_CONTROLS = &H3               'Control Panel.
Public Const CSIDL_COOKIES = &H21               'folder used for Internet Explorer's cookie list.
Public Const CSIDL_DESKTOP = &H0                'Windows desktop.
Public Const CSIDL_DESKTOPDIRECTORY = &H10      'Desktop directory (used to hold file objects on the Windows desktop).
Public Const CSIDL_DRIVES = &H11                'My Computer folder.
Public Const CSIDL_FAVORITES = &H6              'Favorites folder (used primarily to store Internet Explorer's bookmarks).
Public Const CSIDL_FONTS = &H14                 'Fonts directory (used to hold the fonts installed in Windows).
Public Const CSIDL_HISTORY = &H22               'folder used for Internet Explorer's history list.
Public Const CSIDL_INTERNET_CACHE = &H20        'folder used for Internet Explorer's cache.
Public Const CSIDL_NETHOOD = &H13               'Nethood directory (used to hold objects appearing in Network Neighborhood).
Public Const CSIDL_NETWORK = &H12               'Network Neighborhood folder.
Public Const CSIDL_PERSONAL = &H5               'My Documents folder.
Public Const CSIDL_PRINTERS = &H4               'Printers folder (under My Computer).
Public Const CSIDL_PRINTHOOD = &H1B             'PrintHood directory (used to store printer links).
Public Const CSIDL_PROGRAMS = &H2               'Programs folder in the Start Menu.
Public Const CSIDL_RECENT = &H8                 'Recent folder (used for the Documents list in the Start Menu).
Public Const CSIDL_SENDTO = &H9                 'Send To folder (used to store Send To menu items).
Public Const CSIDL_STARTMENU = &HB              'Start Menu.
Public Const CSIDL_STARTUP = &H7                'Startup folder under Start Menu\Programs.
Public Const CSIDL_TEMPLATES = &H15             'Templates folder (used to store document templates).

Public Const CSIDL_LOCAL_APPDATA = &H1C         'With Internet Explorer 5.0 or later: Local Application Data folder.
Public Const CSIDL_MYPICTURES = &H27            'With Internet Explorer 5.0 or later: The My Pictures folder.
Public Const CSIDL_PROFILE = &H28               'With Internet Explorer 5.0 or later: The user profile folder.
Public Const CSIDL_PROGRAM_FILES = &H26         'With Internet Explorer 5.0 or later: The Program Files folder.
Public Const CSIDL_SYSTEM = &H25                'With Internet Explorer 5.0 or later: The Windows System directory.
Public Const CSIDL_WINDOWS = &H24               'With Internet Explorer 5.0 or later: The Windows directory.

Public Const CSIDL_COMMON_ALTSTARTUP = &H1D     'Windows NT, 2000: The non-localized Startup folder common to all users.
Public Const CSIDL_COMMON_DESKTOPDIRECTORY = &H19   'Windows NT, 2000: The Desktop directory (used to store file objects on the Windows desktop) common to all users.
Public Const CSIDL_COMMON_DOCUMENTS = &H2E      'Windows NT, 2000: The Documents folder common to all users.
Public Const CSIDL_COMMON_FAVORITES = &H1F      'Windows NT, 2000: The Favorites folder common to all users.
Public Const CSIDL_COMMON_PROGRAMS = &H17       'Windows NT, 2000: The Programs folder under the Start Menu common to all users.
Public Const CSIDL_COMMON_STARTMENU = &H16      'Windows NT, 2000: The Start Menu folder common to all users.
Public Const CSIDL_COMMON_STARTUP = &H18        'Windows NT, 2000: The Startup folder under Start Menu\Programs common to all users.
Public Const CSIDL_COMMON_TEMPLATES = &H2D      'Windows NT, 2000: The Templates folder common to all users.
Public Const CSIDL_PROGRAM_FILES_COMMON = &H2B  'Windows NT, 2000: The Common folder under Program Files.

Public Const CSIDL_ADMINTOOLS = &H30            'Windows 2000: Administration Tools folder.
Public Const CSIDL_COMMON_ADMINTOOLS = &H2F     'Windows 2000: Administration Tools folder common to all users.
Public Const CSIDL_COMMON_APPDATA = &H23        'Windows 2000: Application Data folder (used to store common program data) common to all users.

Public Const CSIDL_FLAG_CREATE = &H8000         'Windows 2000: Create folder if it doesn't exist
Public Const CSIDL_FLAG_DONT_VERIFY = &H4000    'Windows 2000: Use folder even if it doesn't exist

'//MESSAGEBOX CONSTANTS - SETTINGS/////////////////////////////////////////////////////
Public Const MB_DEFBUTTON1 = &H0&
Public Const MB_DEFBUTTON2 = &H100&
Public Const MB_DEFBUTTON3 = &H200&
Public Const MB_ICONASTERISK = &H40&
Public Const MB_ICONEXCLAMATION = &H30&
Public Const MB_ICONHAND = &H10&
Public Const MB_ICONINFORMATION = MB_ICONASTERISK
Public Const MB_ICONQUESTION = &H20&
Public Const MB_ICONSTOP = MB_ICONHAND
Public Const MB_OK = &H0&
Public Const MB_OKCANCEL = &H1&
Public Const MB_YESNO = &H4&
Public Const MB_YESNOCANCEL = &H3&
Public Const MB_ABORTRETRYIGNORE = &H2&
Public Const MB_RETRYCANCEL = &H5&
'//MESSAGEBOX CONSTANTS - RETURN VALUES////////////////////////////////////////////////
Public Const IDABORT = 3
Public Const IDCANCEL = 2
Public Const IDIGNORE = 5
Public Const IDNO = 7
Public Const IDOK = 1
Public Const IDRETRY = 4
Public Const IDYES = 6
'//FILE HANDLING CONSTANTS////////////////////////////////////////////////////////////
Public Const MAX_PATH = 260
Public Const MAXDWORD = &HFFFF
Public Const INVALID_HANDLE_VALUE = -1
Public Const FILE_ATTRIBUTE_ARCHIVE = &H20
Public Const FILE_ATTRIBUTE_DIRECTORY = &H10
Public Const FILE_ATTRIBUTE_HIDDEN = &H2
Public Const FILE_ATTRIBUTE_NORMAL = &H80
Public Const FILE_ATTRIBUTE_READONLY = &H1
Public Const FILE_ATTRIBUTE_SYSTEM = &H4
Public Const FILE_ATTRIBUTE_TEMPORARY = &H100
'constants required by Shell_NotifyIcon API call:
Public Const NIM_ADD = &H0
Public Const NIM_MODIFY = &H1
Public Const NIM_DELETE = &H2
Public Const NIF_MESSAGE = &H1
Public Const NIF_ICON = &H2
Public Const NIF_TIP = &H4
Public Const WM_MOUSEMOVE = &H200
Public Const WM_LBUTTONDOWN = &H201     'Button down
Public Const WM_LBUTTONUP = &H202       'Button up
Public Const WM_LBUTTONDBLCLK = &H203   'Double-click
Public Const WM_RBUTTONDOWN = &H204     'Button down
Public Const WM_RBUTTONUP = &H205       'Button up
Public Const WM_RBUTTONDBLCLK = &H206   'Double-click

Public Const SW_SHOWNORMAL = 1
Public Const SW_MAXIMIZE = 3

Public Const ERROR_FILE_NOT_FOUND = 2&
Public Const ERROR_PATH_NOT_FOUND = 3&
Public Const ERROR_BAD_FORMAT = 11&
Public Const SE_ERR_ACCESSDENIED = 5            '  access denied
Public Const SE_ERR_ASSOCINCOMPLETE = 27
Public Const SE_ERR_DDEBUSY = 30
Public Const SE_ERR_DDEFAIL = 29
Public Const SE_ERR_DDETIMEOUT = 28
Public Const SE_ERR_DLLNOTFOUND = 32
Public Const SE_ERR_FNF = 2                     '  file not found
Public Const SE_ERR_NOASSOC = 31
Public Const SE_ERR_OOM = 8                     '  out of memory
Public Const SE_ERR_PNF = 3                     '  path not found
Public Const SE_ERR_SHARE = 26

Private Const VER_PLATFORM_WIN32_NT = 2

Private Type OSVERSIONINFO
    dwOSVersionInfoSize As Long
    dwMajorVersion As Long
    dwMinorVersion As Long
    dwBuildNumber As Long
    dwPlatformId As Long
    szCSDVersion As String * 128
End Type
Private Type BROWSEINFO
  hOwner As Long
  pidlRoot As Long
  pszDisplayName As String
  lpszTitle As String
  ulFlags As Long
  lpfn As Long
  lParam As Long
  iImage As Long
End Type
Public Type FILETIME
  dwLowDateTime As Long
  dwHighDateTime As Long
End Type
Public Type WIN32_FIND_DATA
  dwFileAttributes As Long
  ftCreationTime As FILETIME
  ftLastAccessTime As FILETIME
  ftLastWriteTime As FILETIME
  nFileSizeHigh As Long
  nFileSizeLow As Long
  dwReserved0 As Long
  dwReserved1 As Long
  cFileName As String * MAX_PATH
  cAlternate As String * 14
End Type
Private Type SYSTEMTIME
  wYear As Integer
  wMonth As Integer
  wDayOfWeek As Integer
  wDay As Integer
  wHour As Integer
  wMinute As Integer
  wSecond As Integer
  wMilliseconds As Integer
End Type
Public Type OPENFILENAME
  lStructSize As Long
  hwndOwner As Long
  hInstance As Long
  lpstrFilter As String
  lpstrCustomFilter As String
  nMaxCustFilter As Long
  nFilterIndex As Long
  lpstrFile As String
  nMaxFile As Long
  lpstrFileTitle As String
  nMaxFileTitle As Long
  lpstrInitialDir As String
  lpstrTitle As String
  Flags As Long
  nFileOffset As Integer
  nFileExtension As Integer
  lpstrDefExt As String
  lCustData As Long
  lpfnHook As Long
  lpTemplateName As String
End Type
Public Type NOTIFYICONDATA
  cbSize As Long
  hwnd As Long
  uId As Long
  uFlags As Long
  uCallBackMessage As Long
  hIcon As Long
  szTip As String * 64
End Type
Public Enum EAttributes
  Archive = FILE_ATTRIBUTE_ARCHIVE
  Directory = FILE_ATTRIBUTE_DIRECTORY
  Hidden = FILE_ATTRIBUTE_HIDDEN
  Normal = FILE_ATTRIBUTE_NORMAL
  ReadOnly = FILE_ATTRIBUTE_READONLY
  System = FILE_ATTRIBUTE_SYSTEM
  Temporary = FILE_ATTRIBUTE_TEMPORARY
End Enum
Public nid As NOTIFYICONDATA
Public Function FileTimeToDate(lpFileTime As FILETIME) As Date
On Error GoTo ErrorHandler
  Dim lpSystemTime As SYSTEMTIME
  Dim lpRetVal As Long
  lpRetVal = FileTimeToSystemTime(lpFileTime, lpSystemTime)
  If lpRetVal > 0 Then
    FileTimeToDate = lpSystemTime.wMonth & "/" & lpSystemTime.wDay & "/" & lpSystemTime.wYear & " " & Format(lpSystemTime.wHour, "00") & ":" & Format(lpSystemTime.wMinute, "00") & ":" & Format(lpSystemTime.wSecond, "00")
  End If
  Exit Function
ErrorHandler:
  If MessageBox(0, "Error " & CStr(Err.Number) & vbNewLine & Err.Description & vbNewLine & "Error in procedure 'modAPI.FileTimeToDate'. Do you wish to continue running this procedure?" & vbNewLine & "Yes = Resume Next" & vbNewLine & "No = Exit Function", "Error - " & App.ProductName, MB_ICONHAND Or MB_YESNO) = IDYES Then
    Resume Next
  Else
    Exit Function
  End If
End Function
Public Function UserName() As String
On Error GoTo ErrorHandler
Dim strUserName As String
  strUserName = String(100, Chr$(0))
  GetUserName strUserName, 100
  strUserName = Left$(strUserName, InStr(strUserName, Chr$(0)) - 1)
  UserName = strUserName
  Exit Function
ErrorHandler:
  If MessageBox(0, "Error " & CStr(Err.Number) & vbNewLine & Err.Description & vbNewLine & "Error in procedure 'modAPI.UserName'. Do you wish to continue running this procedure?" & vbNewLine & "Yes = Resume Next" & vbNewLine & "No = Exit Function", "Error - " & App.ProductName, MB_ICONHAND Or MB_YESNO) = IDYES Then
    Resume Next
  Else
    Exit Function
  End If
End Function
Public Function ComputerName() As String
On Error GoTo ErrorHandler
Dim strCompName As String
  strCompName = String(100, Chr$(0))
  GetComputerName strCompName, 100
  strCompName = Left$(strCompName, InStr(strCompName, Chr$(0)) - 1)
  ComputerName = strCompName
  Exit Function
ErrorHandler:
  If MessageBox(0, "Error " & CStr(Err.Number) & vbNewLine & Err.Description & vbNewLine & "Error in procedure 'modAPI.ComputerName'. Do you wish to continue running this procedure?" & vbNewLine & "Yes = Resume Next" & vbNewLine & "No = Exit Function", "Error - " & App.ProductName, MB_ICONHAND Or MB_YESNO) = IDYES Then
    Resume Next
  Else
    Exit Function
  End If
End Function
Public Function CreatePath(NewPath) As Boolean
On Error GoTo ErrorHandler
  'Add a trailing slash if none
  If Right(NewPath, 1) <> "\" Then
    NewPath = NewPath & "\"
  End If
  'Call API
  If MakeSureDirectoryPathExists(NewPath) <> 0 Then
    'No errors, return True
    CreatePath = True
  End If
  Exit Function
ErrorHandler:
  If MessageBox(0, "Error " & CStr(Err.Number) & vbNewLine & Err.Description & vbNewLine & "Error in procedure 'modAPI.CreatePath'. Do you wish to continue running this procedure?" & vbNewLine & "Yes = Resume Next" & vbNewLine & "No = Exit Function", "Error - " & App.ProductName, MB_ICONHAND Or MB_YESNO) = IDYES Then
    Resume Next
  Else
    Exit Function
  End If
End Function
Public Function GetWinDir() As String
On Error GoTo ErrorHandler
Dim strWinDir As String
Dim lngSize As Long
    strWinDir = Space(255)
    lngSize = 255
    GetWindowsDirectory strWinDir, lngSize - 1
    GetWinDir = CleanString(strWinDir)
  Exit Function
ErrorHandler:
  If MessageBox(0, "Error " & CStr(Err.Number) & vbNewLine & Err.Description & vbNewLine & "Error in procedure 'modAPI.FileTimeToDate'. Do you wish to continue running this procedure?" & vbNewLine & "Yes = Resume Next" & vbNewLine & "No = Exit Function", "Error - " & App.ProductName, MB_ICONHAND Or MB_YESNO) = IDYES Then
    Resume Next
  Else
    Exit Function
  End If
End Function
Public Function GetDirectoryPath(WindowHandle As Long, szDialogTitle As String) As String
On Error GoTo ErrorHandler
  Dim X As Long, bi As BROWSEINFO, dwIList As Long
  Dim szPath As String, wPos As Integer
    With bi
        .hOwner = WindowHandle
        .lpszTitle = szDialogTitle
        .ulFlags = BIF_RETURNONLYFSDIRS
    End With
    dwIList = SHBrowseForFolder(bi)
    szPath = Space$(512)
    X = SHGetPathFromIDList(ByVal dwIList, ByVal szPath)
    If X Then
        wPos = InStr(szPath, Chr(0))
        GetDirectoryPath = Left$(szPath, wPos - 1)
        If Right(GetDirectoryPath, 1) = "\" Then
        Else
          GetDirectoryPath = GetDirectoryPath & "\"
        End If
    Else
        GetDirectoryPath = ""
    End If
  Exit Function
ErrorHandler:
  If MessageBox(0, "Error " & CStr(Err.Number) & vbNewLine & Err.Description & vbNewLine & "Error in procedure 'modAPI.GetDirectoryPath'. Do you wish to continue running this procedure?" & vbNewLine & "Yes = Resume Next" & vbNewLine & "No = Exit Function", "Error - " & App.ProductName, MB_ICONHAND Or MB_YESNO) = IDYES Then
    Resume Next
  Else
    Exit Function
  End If
End Function
Public Function IsFile(FilePath As String) As Boolean
On Error GoTo ErrorHandler
Dim FileData As WIN32_FIND_DATA
Dim FileHandle As Long
Dim lClose As Long
  FileHandle = FindFirstFile(FilePath, FileData)
  If FileHandle = INVALID_HANDLE_VALUE Then
    GoTo ErrorHandler
  End If
  If FileData.dwFileAttributes And FILE_ATTRIBUTE_DIRECTORY Then
    GoTo ErrorHandler
  End If
  lClose = FindClose(FileHandle)
  IsFile = True
  Exit Function
ErrorHandler:
  lClose = FindClose(FileHandle)
  IsFile = False
  Exit Function
End Function
Public Function IsFolder(ByRef sDirectory As String) As Boolean
On Error GoTo ErrorHandler
Dim FileData As WIN32_FIND_DATA
Dim FileHandle As Long
Dim lClose As Long
  If IsFile(sDirectory) Then
    IsFolder = False
    Exit Function
  End If
  If lstrlen(sDirectory) > 1 Then
    If Right(sDirectory, 1) <> "\" Then
      If InStr(1, sDirectory, "/") Then GoTo ErrorHandler
      sDirectory = sDirectory & "\*"
    Else
      sDirectory = sDirectory & "*"
    End If
  End If
  FileHandle = FindFirstFile(sDirectory, FileData)
  If Right(sDirectory, 1) = "*" Then sDirectory = Left(sDirectory, Len(sDirectory) - 1)
  If FileHandle = INVALID_HANDLE_VALUE Then
    GoTo ErrorHandler
  Else
    IsFolder = True
  End If
  lClose = FindClose(FileHandle)
  Exit Function
ErrorHandler:
  lClose = FindClose(FileHandle)
  IsFolder = False
  Exit Function
End Function
Public Sub Explore(sPath As String)
On Error GoTo ErrorHandler
  If IsFolder(sPath) Then
    ShellExecute 0, "explore", sPath, 0, "", SW_MAXIMIZE
  Else
    MessageBox 0, "Unable to locate directory;" & vbNewLine & sPath, App.Path, MB_ICONEXCLAMATION
  End If
  Exit Sub
ErrorHandler:
  If MessageBox(0, "Error " & CStr(Err.Number) & vbNewLine & Err.Description & vbNewLine & "Error in procedure 'modAPI.Explore'. Do you wish to continue running this procedure?" & vbNewLine & "Yes = Resume Next" & vbNewLine & "No = Exit Function", "Error - " & App.ProductName, MB_ICONHAND Or MB_YESNO) = IDYES Then
    Resume Next
  Else
    Exit Sub
  End If
End Sub
Public Function GetFilePath(lWindowHandle As Long, sInitailDir As String, _
  sFilter As String, sDialogTitle As String) As String
On Error GoTo ErrorHandler
  Dim sFile As String
  sFile = Space(MAX_PATH)
  'If we're on WinNT, call the unicode version of the function
  If IsWinNT Then
    GetFileNameFromBrowseW lWindowHandle, StrPtr(sFile), MAX_PATH, StrPtr(sInitailDir), _
      StrPtr("txt"), StrPtr(sFilter), StrPtr(sDialogTitle)
  'If we're not on WinNT, call the ANSI version of the function
  Else
    GetFileNameFromBrowseA lWindowHandle, sFile, MAX_PATH, sInitailDir, _
      "txt", sFilter, sDialogTitle
  End If
  GetFilePath = CleanString(sFile)
  Exit Function
ErrorHandler:
  If MessageBox(0, "Error " & CStr(Err.Number) & vbNewLine & Err.Description & vbNewLine & "Error in procedure 'modAPI.GetFilePath'. Do you wish to continue running this procedure?" & vbNewLine & "Yes = Resume Next" & vbNewLine & "No = Exit Function", "Error - " & App.ProductName, MB_ICONHAND Or MB_YESNO) = IDYES Then
    Resume Next
  Else
    Exit Function
  End If
End Function
Public Function IsWinNT() As Boolean
On Error GoTo ErrorHandler
  Dim myOS As OSVERSIONINFO
  myOS.dwOSVersionInfoSize = Len(myOS)
  GetVersionEx myOS
  IsWinNT = (myOS.dwPlatformId = VER_PLATFORM_WIN32_NT)
  Exit Function
ErrorHandler:
  If MessageBox(0, "Error " & CStr(Err.Number) & vbNewLine & Err.Description & vbNewLine & "Error in procedure 'modAPI.IsWinNT'. Do you wish to continue running this procedure?" & vbNewLine & "Yes = Resume Next" & vbNewLine & "No = Exit Function", "Error - " & App.ProductName, MB_ICONHAND Or MB_YESNO) = IDYES Then
    Resume Next
  Else
    Exit Function
  End If
End Function
Public Function GetSaveFilePath(lWindowHandle As Long, sInitailDir As String, _
  sFilter As String, sDialogTitle As String) As String
Dim OFName As OPENFILENAME
    OFName.lStructSize = Len(OFName)
    OFName.hwndOwner = lWindowHandle
    OFName.hInstance = App.hInstance
    OFName.lpstrFilter = sFilter
    OFName.lpstrFile = Space$(254)
    OFName.nMaxFile = 255
    OFName.lpstrFileTitle = Space$(254)
    OFName.nMaxFileTitle = 255
    OFName.lpstrInitialDir = sInitailDir
    OFName.lpstrTitle = sDialogTitle
    OFName.Flags = 0
    If GetSaveFileName(OFName) Then
        GetSaveFilePath = CleanString(OFName.lpstrFile)
    Else
        GetSaveFilePath = ""
    End If
End Function





























