Attribute VB_Name = "modMain"
Option Explicit
Const SHERB_NOCONFIRMATION = &H1
Const SHERB_NOPROGRESSUI = &H2
Const SHERB_NOSOUND = &H4
Private Type ULARGE_INTEGER
  LowPart As Long
  HighPart As Long
End Type
Private Type SHQUERYRBINFO
  cbSize As Long
  i64Size As ULARGE_INTEGER
  i64NumItems As ULARGE_INTEGER
End Type
Public Declare Function SHEmptyRecycleBin Lib "shell32.dll" Alias "SHEmptyRecycleBinA" (ByVal hwnd As Long, ByVal pszRootPath As String, ByVal dwFlags As Long) As Long
Public Declare Function SHUpdateRecycleBinIcon Lib "shell32.dll" () As Long
Public Declare Function SHQueryRecycleBin Lib "shell32.dll" Alias "SHQueryRecycleBinA" (ByVal pszRootPath As String, pSHQueryRBInfo As SHQUERYRBINFO) As Long
Public Const HKEY_CURRENT_USER = &H80000001
Public Const CSIDL_DESKTOP = &H0
Public Const CSIDL_PROGRAMS = &H2
Public Const CSIDL_CONTROLS = &H3
Public Const CSIDL_PRINTERS = &H4
Public Const CSIDL_PERSONAL = &H5
Public Const CSIDL_FAVORITES = &H6
Public Const CSIDL_STARTUP = &H7
Public Const CSIDL_RECENT = &H8
Public Const CSIDL_SENDTO = &H9
Public Const CSIDL_BITBUCKET = &HA
Public Const CSIDL_STARTMENU = &HB
Public Const CSIDL_DESKTOPDIRECTORY = &H10
Public Const CSIDL_DRIVES = &H11
Public Const CSIDL_NETWORK = &H12
Public Const CSIDL_NETHOOD = &H13
Public Const CSIDL_FONTS = &H14
Public Const CSIDL_TEMPLATES = &H15
Public Const CSIDL_HISTORY = &H22
Public Const CSIDL_INTERNET_CACHE = &H20
Public Type SHITEMID
    cb As Long
    abID As Byte
End Type
Public Type ITEMIDLIST
    mkid As SHITEMID
End Type
Public Declare Function RegDeleteKey Lib "advapi32.dll" Alias "RegDeleteKeyA" (ByVal hKey As Long, ByVal lpSubKey As String) As Long
Public Declare Function SHGetSpecialFolderLocation Lib "shell32.dll" (ByVal hwndOwner As Long, ByVal nFolder As Long, pidl As ITEMIDLIST) As Long
Public Declare Function SHGetPathFromIDList Lib "shell32.dll" Alias "SHGetPathFromIDListA" (ByVal pidl As Long, ByVal pszPath As String) As Long

Public Declare Function FindFirstUrlCacheGroup Lib "wininet.dll" (ByVal dwFlags As Long, ByVal dwFilter As Long, ByRef lpSearchCondition As Long, ByVal dwSearchCondition As Long, ByRef lpGroupId As Date, ByRef lpReserved As Long) As Long
Public Declare Function FindNextUrlCacheGroup Lib "wininet.dll" (ByVal hFind As Long, ByRef lpGroupId As Date, ByRef lpReserved As Long) As Long
Public Declare Function DeleteUrlCacheGroup Lib "wininet.dll" (ByVal sGroupID As Date, ByVal dwFlags As Long, ByRef lpReserved As Long) As Long
Public Declare Function FindFirstUrlCacheEntry Lib "wininet.dll" Alias "FindFirstUrlCacheEntryA" (ByVal lpszUrlSearchPattern As String, ByRef lpFirstCacheEntryInfo As INTERNET_CACHE_ENTRY_INFO, ByRef lpdwFirstCacheEntryInfoBufferSize As Long) As Long
Public Type INTERNET_CACHE_ENTRY_INFO
    dwStructSize As Long
    szRestOfData(1024) As Long
End Type

Public Declare Function DeleteUrlCacheEntry Lib "wininet.dll" Alias "DeleteUrlCacheEntryA" (ByVal lpszUrlName As Long) As Long

Public Declare Function FindNextUrlCacheEntry Lib "wininet.dll" Alias "FindNextUrlCacheEntryA" (ByVal hEnumHandle As Long, ByRef lpNextCacheEntryInfo As INTERNET_CACHE_ENTRY_INFO, ByRef lpdwNextCacheEntryInfoBufferSize As Long) As Long

Public Const CACHGROUP_SEARCH_ALL = &H0
Public Const ERROR_NO_MORE_FILES = 18
Public Const ERROR_NO_MORE_ITEMS = 259
Public Const CACHEGROUP_FLAG_FLUSHURL_ONDELETE = &H2
Public Const BUFFERSIZE = 2048
Public SearchFlag As Integer
Public Const CSIDL_PROFILE = &H28
Public Declare Function GetUserName Lib "advapi32.dll" Alias "GetUserNameA" (ByVal lpBuffer As String, nSize As Long) As Long

Public THistoryF As String
Public TInternetF As String
Public TRecentF As String
Public TOfficeRecentF1 As String
Public TOfficeRecentF2 As String
Public TTypedURLS As String
Public TWindowsF As String

Public MsgHistory As String
Public MsgTempIFiles As String
Public MsgRecent As String
Public MsgORecent As String
Public MsgTypedURLS As String
Public MsgWinTemp As String
Public MsgRecycleBin As String

Public Type JobData
  JobName As String * 50
  Directory As String * 300
  LastRun As Date
  LastRunData As String * 300
  Filter As String * 10
  DeleteSubDirectories As Boolean
  DeleteSubDirFiles As Boolean
  ReportErrors As Boolean
End Type

Public SavedJobFile As String
Public iCurrentRecNum As Long
Public Sub Main()
On Error GoTo ErrorHandler
  SavedJobFile = App.Path & IIf(Right(App.Path, 1) = "\", "", "\") & "SavedJobs.duh"
  frmMain.Show
  Exit Sub
ErrorHandler:
  MessageBox 0, "Error in modMain.Main" & vbNewLine & "Error number " & CStr(Err.Number) _
    & vbNewLine & Err.Description & vbNewLine & "Resolution: Resume Next.", App.ProductName, MB_ICONHAND
  Resume Next
End Sub
Public Function DeleteRecord(iRecNum As Long) As Boolean
'Save specified backup job record information to specified recordnumber
'returns Boolean;
'   false if fails
'   true if succeeds
On Error GoTo ErrorHandler
Dim iFileNum As Long
Dim iRecCount As Long
Dim iRecSize As Long
Dim sTempFile As String
Dim dhJob As JobData
Dim i As Integer
  sTempFile = GetParentDirectory(SavedJobFile) & "temp.tmp"
  If IsFile(sTempFile) Then DeleteFile sTempFile
  Name SavedJobFile As sTempFile
  iFileNum = FreeFile
  iRecSize = Len(dhJob)
  Open sTempFile For Random As iFileNum Len = iRecSize
  iRecCount = LOF(iFileNum) / iRecSize
  If iRecNum > iRecCount Then
    DeleteRecord = False
    Close #iFileNum
    Exit Function
  End If
  For i = 1 To iRecCount
    If i <> iRecNum Then
      Get #iFileNum, i, dhJob
      AddNewRecord dhJob
    End If
  Next
  Close #iFileNum
  If IsFile(sTempFile) Then DeleteFile sTempFile
  LoadJobs frmMain.lstJobs
  frmMain.lstJobs.ListIndex = 0
  DeleteRecord = True
  Exit Function
ErrorHandler:
  DeleteRecord = False
  Exit Function
End Function
Public Function SaveRecord(iRecNum, dhJob As JobData) As Boolean
'Save specified backup job record information to specified recordnumber
'returns Boolean;
'   false if fails
'   true if succeeds
On Error GoTo ErrorHandler
Dim iFileNum As Long
Dim iRecCount As Long
Dim iRecSize As Long
  iFileNum = FreeFile
  iRecSize = Len(dhJob)
  Open SavedJobFile For Random As iFileNum Len = iRecSize
  iRecCount = LOF(iFileNum) / iRecSize
  If iRecNum > iRecCount Then
    SaveRecord = False
    Close #iFileNum
    Exit Function
  End If
  Put #iFileNum, iRecNum, dhJob
  Close #iFileNum
  SaveRecord = True
  Exit Function
ErrorHandler:
  SaveRecord = False
  Exit Function
End Function
Public Function AddNewRecord(dhJob As JobData) As Long
'Add new backup job record information
'returns long;
'   0 if fails
'   new record number if succeeds
On Error GoTo ErrorHandler
Dim iFileNum As Long
Dim iRecCount As Long
Dim iRecSize As Long
Dim iRecNum As Long
  iFileNum = FreeFile
  iRecSize = Len(dhJob)
  Open SavedJobFile For Random As iFileNum Len = iRecSize
  iRecCount = LOF(iFileNum) / iRecSize
  iRecNum = iRecCount + 1
  Put #iFileNum, iRecNum, dhJob
  Close #iFileNum
  AddNewRecord = iRecNum
  Exit Function
ErrorHandler:
  AddNewRecord = 0
  Exit Function
End Function
Public Function GetRecord(iRecNum As Long, ByRef dhJob As JobData) As Boolean
'Get specified backup job record information
'returns long;
'   false if fails
'   true if succeeds
On Error GoTo ErrorHandler
Dim iFileNum As Long
Dim iRecCount As Long
Dim iRecSize As Long
  iFileNum = FreeFile
  iRecSize = Len(dhJob)
  Open SavedJobFile For Random As iFileNum Len = iRecSize
  iRecCount = LOF(iFileNum) / iRecSize
  If iRecNum > iRecCount Then
    GetRecord = False
    Close #iFileNum
    Exit Function
  End If
  Get #iFileNum, iRecNum, dhJob
  Close #iFileNum
  GetRecord = True
  Exit Function
ErrorHandler:
  GetRecord = False
  Exit Function
End Function
Public Function LoadJobs(lstJobsList As ListBox) As Boolean
On Error GoTo ErrorHandler
Dim iFileNum As Long
Dim dhJob As JobData
Dim iRecCount As Long
Dim iRecSize As Long
Dim iRecNum As Long
  LoadJobs = True
  iFileNum = FreeFile
  iRecSize = Len(dhJob)
  Open SavedJobFile For Random As iFileNum Len = iRecSize
  iRecCount = LOF(iFileNum) / iRecSize
  lstJobsList.Clear
  For iRecNum = 1 To iRecCount
    Get #iFileNum, iRecNum, dhJob
    lstJobsList.AddItem CleanString(dhJob.JobName)
    lstJobsList.ItemData(lstJobsList.NewIndex) = iRecNum
  Next
  Close #iFileNum
  Exit Function
ErrorHandler:
  Select Case Err.Number
    Case Else
      MessageBox 0, "Error loading saved jobs in procedure 'modMain.LoadJobs'" _
        & vbNewLine & "Error number " & CStr(Err.Number) & vbNewLine & Err.Description _
        & "Error resolution: Resume Next", App.ProductName, MB_ICONHAND
      Resume Next
  End Select
  LoadJobs = False
End Function
Public Function CheckIfJobNameExists(sName As String) As Boolean
On Error GoTo ErrorHandler
Dim iFileNum As Long
Dim dhJob As JobData
Dim iRecCount As Long
Dim iRecSize As Long
Dim iRecNum As Long
  iFileNum = FreeFile
  iRecSize = Len(dhJob)
  Open SavedJobFile For Random As iFileNum Len = iRecSize
  iRecCount = LOF(iFileNum) / iRecSize
  For iRecNum = 1 To iRecCount
    Get #iFileNum, iRecNum, dhJob
    If LCase(CleanString(dhJob.JobName)) = LCase(sName) Then
      CheckIfJobNameExists = True
      Exit Function
    End If
  Next
  Close #iFileNum
ErrorHandler:
  Exit Function
End Function
Public Sub ClearWebCache()
On Error Resume Next
Dim sGroupID As Date
Dim hGroup As Long
Dim hFile As Long
Dim sEntryInfo As INTERNET_CACHE_ENTRY_INFO
Dim iSize As Long
  hGroup = FindFirstUrlCacheGroup(0, 0, 0, 0, sGroupID, 0)
  If Err.Number <> 453 Then
    If (hGroup = 0) And (Err.LastDllError <> 2) Then
      MessageBox 0, "An error occurred enumerating the cache groups" & Err.LastDllError, "Error", MB_ICONHAND
      Exit Sub
    End If
  Else
    Err.Clear
  End If
  If (hGroup <> 0) Then
    Do
      If (0 = DeleteUrlCacheGroup(sGroupID, CACHEGROUP_FLAG_FLUSHURL_ONDELETE, 0)) Then
        If Err.Number <> 453 Then
          MessageBox 0, "Error deleting cache group " & Err.LastDllError, "Error", MB_ICONHAND
          Exit Sub
        Else
          Err.Clear
        End If
      End If
      iSize = BUFFERSIZE
      If (0 = FindNextUrlCacheGroup(hGroup, sGroupID, iSize)) And (Err.LastDllError <> 2) Then
        MsgBox "Error finding next url cache group! - " & Err.LastDllError
      End If
    Loop Until Err.LastDllError = 2
  End If
  sEntryInfo.dwStructSize = 80
  iSize = BUFFERSIZE
  hFile = FindFirstUrlCacheEntry(0, sEntryInfo, iSize)
  If (hFile = 0) Then
    If (Err.LastDllError = ERROR_NO_MORE_ITEMS) Then
      GoTo done
    End If
    MsgBox "ERROR: FindFirstUrlCacheEntry - " & Err.LastDllError
    Exit Sub
  End If
  Do
    If (0 = DeleteUrlCacheEntry(sEntryInfo.szRestOfData(0))) _
      And (Err.LastDllError <> 2) Then
      Err.Clear
    End If
    iSize = BUFFERSIZE
    If (0 = FindNextUrlCacheEntry(hFile, sEntryInfo, iSize)) And (Err.LastDllError <> ERROR_NO_MORE_ITEMS) Then
      MsgBox "Error:  Unable to find the next cache entry - " & Err.LastDllError
      Exit Sub
    End If
  Loop Until Err.LastDllError = ERROR_NO_MORE_ITEMS
done:
End Sub
Public Sub ClearURLs()
  RegDeleteKey HKEY_CURRENT_USER, "Software\Microsoft\Internet Explorer\TypedURLs"
End Sub
